Package picard.arrays.illumina

## Class Build37ExtendedIlluminaManifest

- java.lang.Object
- - picard.arrays.illumina.IlluminaManifest
  - - picard.arrays.illumina.Build37ExtendedIlluminaManifest

-     public class Build37ExtendedIlluminaManifest
      extends IlluminaManifest

  A class to represent an 'Extended' Illumina Manifest file. An Extended Illumina Manifest extends a 'standard' Illumina Manifest by adding seven new fields (columns) to the manifest These are currently specific to the reference NCBI Build 37 / HG38. The columns are: 'build37Chr' - the chromosome of the manifest entry, on build 37 'build37Pos' - the position of the manifest entry, on build 37 'build37RefAllele' - the reference allele of the manifest entry, on build 37 'build37AlleleA' - allele A of the manifest entry, on build 37 'build37AlleleB' - allele B of the manifest entry, on build 37 'build37Rsid' - The rsid the manifest entry, on build 37 'build37Flag' - A flag describing the validation status of the manifest entry Like the class IlluminaManifest which this class extends, this class reads the extended manifest header, stores the contents, and then provides an iterator to allow access to the ExtendedIlluminaManifestRecords (currently this only supports iterating over the assay records).

- - ### Field Summary

    - ### Fields inherited from class picard.arrays.illumina.IlluminaManifest

      `ADDRESS_A_ID_HEADER_NAME, ADDRESS_B_ID_HEADER_NAME, ALLELE_A_PROBE_SEQ_HEADER_NAME, ALLELE_B_PROBE_SEQ_HEADER_NAME, BEAD_SET_ID_HEADER_NAME, CHROMOSOME_HEADER_NAME, EXP_CLUSTERS_HEADER_NAME, GENOME_BUILD_HEADER_NAME, HEADER_NAMES, HG_TO_NCBI, HG17, HG18, HG19, ILLUMINA_ID_HEADER_NAME, ILLUMINA_STRAND_HEADER_NAME, INTENSITY_ONLY_HEADER_NAME, MANIFEST_FILE_HEADER_NAMES, manifestFileParser, MAP_INFO_HEADER_NAME, NAME_HEADER_NAME, NCBI_35, NCBI_36, NCBI_37, PLOIDY_HEADER_NAME, REF_STRAND_HEADER_NAME, SNP_HEADER_NAME, SOURCE_HEADER_NAME, SOURCE_SEQ_HEADER_NAME, SOURCE_STRAND_HEADER_NAME, SOURCE_VERSION_HEADER_NAME, SPECIES_HEADER_NAME, TOP_GENOMIC_SEQ_HEADER_NAME, VALID_ALLELES`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Build37ExtendedIlluminaManifest​(File manifestFile)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Iterator<Build37ExtendedIlluminaManifestRecord>` | `extendedIterator()` |
    `String[]` | `getAllPossibleHeaderNames()` |
    `String` | `getExtendedManifestVersion()` |

    - ### Methods inherited from class picard.arrays.illumina.IlluminaManifest

      `getAssayFormat, getAssayHeaderNames, getAssayHeaderNameToIndex, getDateManufactured, getDescriptorFileName, getHeaderContents, getLociCount, getManifestFile, getManifestFileHeaderNames, getManifestFileParser, getNumAssays, iterator, setAssayFormat, setDateManufactured, setDescriptorFileName, setLociCount, setManifestFileParser, setNumAssays`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Build37ExtendedIlluminaManifest

          public Build37ExtendedIlluminaManifest​(File manifestFile)
                                          throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### getAllPossibleHeaderNames

          public String[] getAllPossibleHeaderNames()

      Overrides:
        `getAllPossibleHeaderNames` in class `IlluminaManifest`

    - #### extendedIterator

          public Iterator<Build37ExtendedIlluminaManifestRecord> extendedIterator()

    - #### getExtendedManifestVersion

          public String getExtendedManifestVersion()